{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"In order to access your container registry with the Docker client or from a\nKubernetes cluster, you will need to configure authentication. The necessary\nJSON configuration can be retrieved by sending a GET request to\n`/v2/registries/{registry_name}/docker-credentials`.\n\nThe response will be in the format of a Docker `config.json` file. To use the\nconfig in your Kubernetes cluster, create a Secret with:\n\n    kubectl create secret generic docr \\\n      --from-file=.dockerconfigjson=config.json \\\n      --type=kubernetes.io/dockerconfigjson\n\nBy default, the returned credentials have read-only access to your registry\nand cannot be used to push images. This is appropriate for most Kubernetes\nclusters. To retrieve read/write credentials, suitable for use with the Docker\nclient or in a CI system, read_write may be provided as query parameter. For\nexample: `/v2/registries/{registry_name}/docker-credentials?read_write=true`\n\nBy default, the returned credentials will not expire. To retrieve credentials\nwith an expiry set, expiry_seconds may be provided as a query parameter. For\nexample: `/v2/registries/{registry_name}/docker-credentials?expiry_seconds=3600` will return\ncredentials that expire after one hour.\n","properties":{"path":{"type":"object","properties":{"registry_name":{"type":"string","examples":["example"],"description":"The name of a container registry."}},"required":["registry_name"],"additionalProperties":false}},"required":["path"],"additionalProperties":false},"name":"Get Docker Credentials By Registry Name","id":"digitalocean.registries_get_dockercredentials","example":{"path":{"registry_name":"example"}},"maxRequests":1,"summary":false}}